// 荣誉教师
import request from '@/common/request.js';

export function queryHonorTypeOverView(data) {//查询荣誉总览列表数据接口
	return request.get('/api/v1/queryHonorTypeOverView', data)
}
export function deleteHonorType(id) {//删除荣誉类型接口
	return request.get(`/api/v1/deleteHonorType/${id}`)
}
export function querySchoolAllTeacherData(data) {//查询审核教师接口
	return request.get('/api/v1/querySchoolAllTeacherData',data)
}
export function baseDictLibListData(data) {//查询字典接口
	return request.get('/api/v1/baseDictLibListData',data)
}
export function queryHonorDetailData(honorTypeId) {//获取荣誉类型 修改的 详细数据接口
	return request.get(`/api/v1/queryHonorDetailData/${honorTypeId}`)
}
export function addHonorData(data) {//新增荣誉类型
	return request.post('/api/v1/addHonorData',data)
}
export function updateHonorData(data) {//修改荣誉类型接口
	return request.post('/api/v1/updateHonorData',data)
}
export function queryHonorTeacherListData(data) {//查询荣誉教师列表接口
	return request.get('/api/v1/queryHonorTeacherListData',data)
}
export function queryHonorTypeList() {//查询荣誉类型列表
	return request.get('/api/v1/queryHonorTypeList')
}
export function queryHonorTeacherListDetail(data) {//教师荣誉详情
	return request.post('/api/v1/queryHonorTeacherListDetail',data)
}